Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mwc.sqld
Class SQLParserTokenManager

    java.lang.Object
      |
      +--com.mwc.sqld.SQLParserTokenManager

All Implemented Interfaces:
  SQLParserConstants

public class SQLParserTokenManager
extends java.lang.Object
implements SQLParserConstants

Field Summary
`protected char` | `curChar`
`java.io.PrintStream` | `debugStream`
`static int[]` | `jjnewLexState`
`static java.lang.String[]` | `jjstrLiteralImages`
`static java.lang.String[]` | `lexStateNames`

Fields inherited from interface com.mwc.sqld.SQLParserConstants
`ALL, AND, AS, ASC, ASSIGN, ASTERISK, BASE64, BEGIN, BETWEEN, BOOLEAN, BY, CHAR, CHARACTER, CLOSE, CLOSEDESCRIPTION, CLOSEPAREN, COMMENT_BLOCK, COMMENT_LINE, CONCAT, CONSTANT, CONVERT_TIMESTAMP_TO_DATE, COUNT, CREATE, CRYPT, CURRENT, CURSOR, DATABASE, DEFAULT, DELETE, DESC, DESCRIPTION, DESCRIPTION_START_STATE, DESCRIPTION_STATE, DIGIT, DISTINCT, DOT, ELSE, ELSIF, END, EOF, EQUAL, ERROR_DETAIL_DESCRIPTION, EXCEPTION, EXISTS, EXIT, EXPONENT, FALSE, FETCH, FILE_NAME_OF_ERROR_AREA, FLOATING_POINT_LITERAL, FOR, FORMAT_ATTRIBUTE_SUBSTRING, FORMAT_AUDIT_HEADER, FROM, GET, GET_CURRENT_TIMESTAMP, GREATER, GREATEREQUAL, GROUP, HAVING, ID, IF, IN, INDEX_BY, INSERT, INT, INTEGER, INTEGER_LITERAL, INTO, IS, IS_TABLE_OF, JCALL, JOINPLUS, KEY_IN_ERROR, LEFT, LENGTH, LESS, LESSEQUAL, LETTER, LIKE, LOOP, LPAD, LTRIM, MAX, MID, MIN, MINUS, NO_DATA_FOUND, NODULE, NOT, NOTEQUAL, NOTEQUAL2, NOTFOUND, NULL, NUMBER, OPEN, OPENDESCRIPTION, OPENPAREN, OR, ORDER, ORIGINPLUS, OTHERS, PLUS, PROCEDURE, QUESTIONMARK, RECORD, REPLACE, REPLY, REPLY_REPEATING_GROUP, REQUEST, RESULTS, RIGHT, ROW_NOT_FOUND, ROWTYPE, RTRIM, SELECT, SEMICOLON, SET, SET_ROW_NOT_FOUND, SETUPFATALERROR, SLASH, SMALLINT, SOUNDEX, SPACES, SQL_I_O_CORRECT, SQLCODE, STR_CONCAT, STRING_LITERAL, SUBSTR, SUBSTRING, SUM, TABLE, TABLE_STATUS, THEN, TILDE, TO_CHAR, TO_NUMBER, tokenImage, TRUE, TYPE, UNIQUE, UPDATE, UPPER, USER, VALUES, VARCHAR, VARCHAR2, WHEN, WHERE, WHILE, ZERO, ZEROS`

Constructor Summary
`SQLParserTokenManager(SimpleCharStream stream)`
`SQLParserTokenManager(SimpleCharStream stream, int lexState)`

Method Summary
`Token` | `getNextToken()`
`void` | `ReInit(SimpleCharStream stream)`
`void` | `ReInit(SimpleCharStream stream, int lexState)`
`void` | `setDebugStream(java.io.PrintStream ds)`
`void` | `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public java.io.PrintStream debugStream

### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

### lexStateNames

    public static final java.lang.String[] lexStateNames

### jjnewLexState

    public static final int[] jjnewLexState

### curChar

    protected char curChar

Constructor Detail

### SQLParserTokenManager

    public SQLParserTokenManager(SimpleCharStream stream)

### SQLParserTokenManager

    public SQLParserTokenManager(SimpleCharStream stream,
                                 int lexState)

Method Detail

### setDebugStream

    public void setDebugStream(java.io.PrintStream ds)

### ReInit

    public void ReInit(SimpleCharStream stream)

### ReInit

    public void ReInit(SimpleCharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### getNextToken

    public final Token getNextToken()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD